pskb_copy
Prev | Socket Buffer Functions | Next

## Name

pskb_copy — create copy of an sk_buff with private head.

## Synopsis

`struct sk_buff * pskb_copy (` | struct sk_buff * | skb,
| gfp_t | gfp_mask`)`;

## Arguments

`skb`

  buffer to copy

`gfp_mask`

  allocation priority

## Description

Make a copy of both an sk_buff and part of its data, located in header. Fragmented data remain shared. This is used when the caller wishes to modify only header of sk_buff and needs private copy of the header to alter. Returns `NULL` on failure or the pointer to the buffer on success. The returned buffer has a reference count of 1.

Prev | Up | Next
skb_copy | Home | pskb_expand_head